Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 3898)
+++ admin/blog_pref.php	(revision 3958)
@@ -260,5 +260,4 @@
         $blog_settings->system->put('media_video_width', $media_video_width);
         $blog_settings->system->put('media_video_height', $media_video_height);
-        $blog_settings->system->put('media_flash_fallback', !empty($_POST['media_flash_fallback']));
         $blog_settings->system->put('media_img_title_pattern', $_POST['media_img_title_pattern']);
         $blog_settings->system->put('media_img_use_dto_first', !empty($_POST['media_img_use_dto_first']));
@@ -587,10 +586,4 @@
     ]) .
     '</p>' .
-
-    '<h5>' . __('Flash player') . '</h5>' .
-    '<p><label for="media_flash_fallback">' .
-    form::checkbox('media_flash_fallback', '1', $blog_settings->system->media_flash_fallback) .
-    __('Insert Flash player fallback for video (mp4 or m4v) and audio (mp3) media') . '</label></p>' .
-    '<p class="form-note info">' . __('For flv video, the Flash player will be anyway inserted.') . '</p>' .
     '</div>' .
 
Index: admin/media.php
===================================================================
--- admin/media.php	(revision 3956)
+++ admin/media.php	(revision 3958)
@@ -261,5 +261,5 @@
         // Show player if relevant
         if ($file_type[0] == 'audio') {
-            $lst .= '<li>' . dcMedia::audioPlayer($f->type, $f->file_url, $core->adminurl->get("admin.home", ['pf' => 'player_mp3.swf']), null, $core->blog->settings->system->media_flash_fallback, false) . '</li>';
+            $lst .= '<li>' . dcMedia::audioPlayer($f->type, $f->file_url, null, null, null, false, false) . '</li>';
         }
 
Index: admin/media_item.php
===================================================================
--- admin/media_item.php	(revision 3957)
+++ admin/media_item.php	(revision 3958)
@@ -222,5 +222,5 @@
 };
 
-$get_img_desc = function($file, $default = '') {
+$get_img_desc = function ($file, $default = '') {
     if (count($file->media_meta) > 0) {
         foreach ($file->media_meta as $k => $v) {
@@ -291,5 +291,5 @@
     // Let user choose thumbnail size if image
     $media_title = $file->media_title;
-    $media_desc = $get_img_desc($file, $media_title);
+    $media_desc  = $get_img_desc($file, $media_title);
 
     echo
@@ -313,5 +313,5 @@
 
     if ($file->media_type == 'image') {
-        $media_type = 'image';
+        $media_type  = 'image';
         $media_title = $get_img_title($file,
             $core->blog->settings->system->media_img_title_pattern,
@@ -363,5 +363,5 @@
 if ($popup && !$select) {
     $media_title = $file->media_title;
-    $media_desc = $get_img_desc($file, $media_title);
+    $media_desc  = $get_img_desc($file, $media_title);
 
     echo
@@ -385,5 +385,5 @@
 
     if ($file->media_type == 'image') {
-        $media_type = 'image';
+        $media_type  = 'image';
         $media_title = $get_img_title($file,
             $core->blog->settings->system->media_img_title_pattern,
@@ -476,7 +476,5 @@
         }
 
-        $public_player_style = unserialize($core->blog->settings->themes->mp3player_style);
-        $public_player       = dcMedia::audioPlayer($file->type, $file->file_url, $core->blog->getQmarkURL() . 'pf=player_mp3.swf', $public_player_style, $core->blog->settings->system->media_flash_fallback);
-        echo form::hidden('public_player', html::escapeHTML($public_player));
+        echo form::hidden('public_player', html::escapeHTML(dcMedia::audioPlayer($file->type, $file->file_url)));
         echo '</p>';
         echo '</div>';
@@ -513,7 +511,5 @@
         }
 
-        $public_player_style = unserialize($core->blog->settings->themes->flvplayer_style);
-        $public_player       = dcMedia::videoPlayer($file->type, $file->file_url, $core->blog->getQmarkURL() . 'pf=player_flv.swf', $public_player_style, $core->blog->settings->system->media_flash_fallback);
-        echo form::hidden('public_player', html::escapeHTML($public_player));
+        echo form::hidden('public_player', html::escapeHTML(dcMedia::videoPlayer($file->type, $file->file_url)));
         echo '</p>';
         echo '</div>';
@@ -616,10 +612,8 @@
 // Show player if relevant
 if ($file_type[0] == 'audio') {
-    echo dcMedia::audioPlayer($file->type, $file->file_url, $core->adminurl->get("admin.home", ['pf' => 'player_mp3.swf']),
-        null, $core->blog->settings->system->media_flash_fallback);
+    echo dcMedia::audioPlayer($file->type, $file->file_url);
 }
 if ($file_type[0] == 'video') {
-    echo dcMedia::videoPlayer($file->type, $file->file_url, $core->adminurl->get("admin.home", ['pf' => 'player_flv.swf']),
-        null, $core->blog->settings->system->media_flash_fallback);
+    echo dcMedia::videoPlayer($file->type, $file->file_url);
 }
 
